## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/ojarva/sshpubkeys/
%global tag %{version}

Name:           python-sshpubkeys
Version:        3.3.1
%forgemeta
Release:        %autorelease
Summary:        OpenSSH public key parser for Python

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
Native implementation for validating OpenSSH public keys.

Currently ssh-rsa, ssh-dss (DSA), ssh-ed25519 and ecdsa keys with NIST curves
are supported.}


%description %{common_description}


%package -n     python3-sshpubkeys
Summary:        %{summary}

%description -n python3-sshpubkeys %{common_description}


%prep
%autosetup -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sshpubkeys


%check
PYTHONPATH='%{buildroot}%{python3_sitelib}' %{python3} -m unittest tests


%files -n python3-sshpubkeys -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-10
- Use %%python3 macro instead of %%__python3

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-9
- Let pyproject-rpm-macros handle the license file

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-8
- Test installed copy of package

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-7
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* Sun Sep 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-6
- Reduce macro indirection in the spec file

* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 3.3.1-5
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.3.1-2
- Rebuilt for Python 3.10

* Wed May 19 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.1-1
- Initial package

